/2027-01/marketing-solutions/advertisers/{advertiser-id}/ads/unpause
curl --request POST \
--url https://api.criteo.com/2027-01/marketing-solutions/advertisers/{advertiser-id}/ads/unpause \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/2027-01/marketing-solutions/advertisers/{advertiser-id}/ads/unpause"
payload = { "data": { "type": "<string>" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {type: '<string>'}})
};
fetch('https://api.criteo.com/2027-01/marketing-solutions/advertisers/{advertiser-id}/ads/unpause', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"adId": "<string>",
"result": "Succeeded",
"adDeliveryStatus": "Live",
"reason": "<string>"
},
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
]
}/2027-01/marketing-solutions/advertisers/{advertiser-id}/ads/unpause
Unpauses a set of ads of one advertiser so that they resume delivering. The ads that can be unpaused are unpaused even when others in the same request are rejected, so read the outcome the response gives for each requested ad id rather than the status code alone.
POST
/
2027-01
/
marketing-solutions
/
advertisers
/
{advertiser-id}
/
ads
/
unpause
/2027-01/marketing-solutions/advertisers/{advertiser-id}/ads/unpause
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The advertiser identifier.
Body
application/json
The ads to unpause, carried as adIds. For example {"data":{"type":"UnpauseAdsRequest","attributes":{"adIds":["12345","12346"]}}}.
A top-level object that encapsulates a Criteo API request for a single value.
A top-level object that encapsulates a Criteo API response for a single value.
Show child attributes
Show child attributes
Response
200 - application/json
The outcome for each requested Ad is returned.
Was this page helpful?